--- orig-OPS	Sat Dec 12 00:05:36 1998
+++ OPS	Wed Sep 27 18:32:01 2000
@@ -56,10 +56,11 @@
 OP_EDITOR_DELETE_CHAR "delete the char under the cursor"
 OP_EDITOR_EOL "jump to the end of the line"
 OP_EDITOR_FORWARD_CHAR "move the cursor one character to the right"
 OP_EDITOR_HISTORY_DOWN "scroll up through the history list"
 OP_EDITOR_HISTORY_UP "scroll up through the history list"
+OP_EDITOR_KILL_BOL "delete chars from cursor to beginning of line"
 OP_EDITOR_KILL_EOL "delete chars from cursor to end of line"
 OP_EDITOR_KILL_LINE "delete all chars on the line"
 OP_EDITOR_KILL_WORD "delete the word in front of the cursor"
 OP_EDITOR_QUOTE_CHAR "quote the next typed key"
 OP_ENTER_COMMAND "enter a muttrc command"
--- orig-OPS.PGP	Sat Dec 12 00:05:36 1998
+++ OPS.PGP	Wed Sep 27 18:32:01 2000
@@ -1,7 +1,9 @@
 OP_COMPOSE_ATTACH_KEY "attach a PGP public key"
 OP_COMPOSE_PGP_MENU "show PGP options"
+OP_COMPOSE_TOGGLE_SIGN "sign/don't sign current message"
+OP_COMPOSE_TOGGLE_ENCRYPT "encrypt/don't encrypt current message"
 OP_EXTRACT_KEYS "extract PGP public keys"
 OP_FORGET_PASSPHRASE "wipe PGP passphrase from memory"
 OP_MAIL_KEY "mail a PGP public key"
 OP_VERIFY_KEY "verify a PGP public key"
 OP_VIEW_ID "view the key's user id"
--- orig-compose.c	Thu Jan  6 03:55:03 2000
+++ compose.c	Mon May  8 23:36:08 2000
@@ -1059,10 +1059,22 @@
       case OP_COMPOSE_PGP_MENU:
 
 	msg->pgp = pgp_send_menu (msg->pgp, &menu->redraw);
 	break;
 
+      case OP_COMPOSE_TOGGLE_SIGN:
+
+	msg->pgp ^= PGPSIGN;
+	redraw_pgp_lines (msg->pgp);
+	break;
+
+      case OP_COMPOSE_TOGGLE_ENCRYPT:
+
+	msg->pgp ^= PGPENCRYPT;
+	redraw_pgp_lines (msg->pgp);
+	break;
+
       case OP_FORGET_PASSPHRASE:
 
 	mutt_forget_passphrase ();
 	break;
 
--- orig-curs_main.c	Sun Sep 17 22:38:11 2000
+++ curs_main.c	Sun Sep 17 23:23:26 2000
@@ -913,12 +913,10 @@
 	    break;
 	  }
 	  safe_free ((void **) &Context);
 	}
 
-	sleep (1); /* give a second to read the mailbox status */
-
 	mutt_folder_hook (buf);
 
 	if ((Context = mx_open_mailbox (buf, 
 					(option (OPTREADONLY) || op == OP_MAIN_CHANGE_FOLDER_READONLY) ?
 					M_READONLY : 0, NULL)) != NULL)
--- orig-enter.c	Thu Jan  6 03:55:05 2000
+++ enter.c	Fri Apr 28 17:54:37 2000
@@ -212,10 +212,32 @@
 	case OP_EDITOR_KILL_EOL:
 	  lastchar = curpos;
 	  if (!pass)
 	    clrtoeol ();
 	  break;
+	case OP_EDITOR_KILL_BOL:
+	  /* delete to begining of line */
+	  if (curpos != 0)
+	  {
+	    j = 0;
+	    while (curpos < lastchar)
+	      buf[j++] = buf[curpos++];
+	    lastchar = j;
+	    curpos = 0;
+	    /* update screen */
+	    if (!pass)
+	    {
+	      if (curpos < begin)
+	      {
+		begin = curpos - width / 2;
+		redraw = M_REDRAW_LINE;
+	      }
+	      else
+		redraw = M_REDRAW_EOL;
+	    }
+	  }
+	  break;
 	case OP_EDITOR_BACKWARD_CHAR:
 	  if (curpos == 0)
 	  {
 	    BEEP ();
 	  }
--- orig-functions.h	Thu Jan  6 03:55:05 2000
+++ functions.h	Mon May  8 23:32:17 2000
@@ -29,182 +29,182 @@
  * construct does not work at this level.
  *
  */
 
 struct binding_t OpGeneric[] = {
-  { "top-page",		OP_TOP_PAGE,		"H" },
-  { "next-entry",	OP_NEXT_ENTRY,		"j" },
-  { "previous-entry",	OP_PREV_ENTRY,		"k" },
-  { "bottom-page",	OP_BOTTOM_PAGE,		"L" },
-  { "refresh",		OP_REDRAW,		"\014" },
-  { "middle-page",	OP_MIDDLE_PAGE,		"M" },
-  { "search-next",	OP_SEARCH_NEXT,		"n" },
-  { "exit",		OP_EXIT,		"q" },
-  { "tag-entry",	OP_TAG,			"t" },
-  { "next-page",	OP_NEXT_PAGE,		"z" },
-  { "previous-page",	OP_PREV_PAGE,		"Z" },
-  { "last-entry",	OP_LAST_ENTRY,		"*" },
-  { "first-entry",	OP_FIRST_ENTRY,		"=" },
-  { "enter-command",	OP_ENTER_COMMAND,	":" },
-  { "next-line",	OP_NEXT_LINE,		">" },
-  { "previous-line",	OP_PREV_LINE,		"<" },
-  { "half-up",		OP_HALF_UP,		"[" },
-  { "half-down", 	OP_HALF_DOWN,		"]" },
-  { "help",		OP_HELP,		"?" },
-  { "tag-prefix",	OP_TAG_PREFIX,		";" },
-  { "shell-escape",	OP_SHELL_ESCAPE,	"!" },
-  { "select-entry",	OP_GENERIC_SELECT_ENTRY,M_ENTER_S },
-  { "search",		OP_SEARCH,		"/" },
-  { "search-reverse",	OP_SEARCH_REVERSE,	"\033/" },
+  { "top-page",		OP_TOP_PAGE,		NULL },
+  { "next-entry",	OP_NEXT_ENTRY,		NULL },
+  { "previous-entry",	OP_PREV_ENTRY,		NULL },
+  { "bottom-page",	OP_BOTTOM_PAGE,		NULL },
+  { "refresh",		OP_REDRAW,		NULL },
+  { "middle-page",	OP_MIDDLE_PAGE,		NULL },
+  { "search-next",	OP_SEARCH_NEXT,		NULL },
+  { "exit",		OP_EXIT,		NULL },
+  { "tag-entry",	OP_TAG,			NULL },
+  { "next-page",	OP_NEXT_PAGE,		NULL },
+  { "previous-page",	OP_PREV_PAGE,		NULL },
+  { "last-entry",	OP_LAST_ENTRY,		NULL },
+  { "first-entry",	OP_FIRST_ENTRY,		NULL },
+  { "enter-command",	OP_ENTER_COMMAND,	NULL },
+  { "next-line",	OP_NEXT_LINE,		NULL },
+  { "previous-line",	OP_PREV_LINE,		NULL },
+  { "half-up",		OP_HALF_UP,		NULL },
+  { "half-down", 	OP_HALF_DOWN,		NULL },
+  { "help",		OP_HELP,		NULL },
+  { "tag-prefix",	OP_TAG_PREFIX,		NULL },
+  { "shell-escape",	OP_SHELL_ESCAPE,	NULL },
+  { "select-entry",	OP_GENERIC_SELECT_ENTRY,NULL },
+  { "search",		OP_SEARCH,		NULL },
+  { "search-reverse",	OP_SEARCH_REVERSE,	NULL },
   { "search-opposite",	OP_SEARCH_OPPOSITE,	NULL },
   { "jump",		OP_JUMP,		NULL },
   { "current-top",      OP_CURRENT_TOP,		NULL },
   { "current-middle",   OP_CURRENT_MIDDLE,	NULL },
   { "current-bottom",   OP_CURRENT_BOTTOM,	NULL },
   { NULL,		0,			NULL }
 };
 
 struct binding_t OpMain[] = {
-  { "create-alias",		OP_CREATE_ALIAS,		"a" },
-  { "bounce-message",		OP_BOUNCE_MESSAGE,		"b" },
-  { "change-folder",		OP_MAIN_CHANGE_FOLDER,		"c" },
-  { "change-folder-readonly",	OP_MAIN_CHANGE_FOLDER_READONLY,	"\033c" },
-  { "collapse-thread",		OP_MAIN_COLLAPSE_THREAD,	"\033v" },
-  { "collapse-all",		OP_MAIN_COLLAPSE_ALL,		"\033V" },
-  { "copy-message",		OP_COPY_MESSAGE,		"C" },
-  { "decode-copy",		OP_DECODE_COPY,			"\033C" },
-  { "decode-save",		OP_DECODE_SAVE,			"\033s" },
-  { "delete-message",		OP_DELETE,			"d" },
-  { "delete-pattern",		OP_MAIN_DELETE_PATTERN,		"D" },
-  { "delete-thread",		OP_DELETE_THREAD,		"\004" },
-  { "delete-subthread",		OP_DELETE_SUBTHREAD,		"\033d" },
-  { "edit",			OP_EDIT_MESSAGE,		"e" },
-  { "forward-message",		OP_FORWARD_MESSAGE,		"f" },
-  { "flag-message",		OP_FLAG_MESSAGE,		"F" },
-  { "group-reply",		OP_GROUP_REPLY,			"g" },
+  { "create-alias",		OP_CREATE_ALIAS,		NULL },
+  { "bounce-message",		OP_BOUNCE_MESSAGE,		NULL },
+  { "change-folder",		OP_MAIN_CHANGE_FOLDER,		NULL },
+  { "change-folder-readonly",	OP_MAIN_CHANGE_FOLDER_READONLY,	NULL },
+  { "collapse-thread",		OP_MAIN_COLLAPSE_THREAD,	NULL },
+  { "collapse-all",		OP_MAIN_COLLAPSE_ALL,		NULL },
+  { "copy-message",		OP_COPY_MESSAGE,		NULL },
+  { "decode-copy",		OP_DECODE_COPY,			NULL },
+  { "decode-save",		OP_DECODE_SAVE,			NULL },
+  { "delete-message",		OP_DELETE,			NULL },
+  { "delete-pattern",		OP_MAIN_DELETE_PATTERN,		NULL },
+  { "delete-thread",		OP_DELETE_THREAD,		NULL },
+  { "delete-subthread",		OP_DELETE_SUBTHREAD,		NULL },
+  { "edit",			OP_EDIT_MESSAGE,		NULL },
+  { "forward-message",		OP_FORWARD_MESSAGE,		NULL },
+  { "flag-message",		OP_FLAG_MESSAGE,		NULL },
+  { "group-reply",		OP_GROUP_REPLY,			NULL },
 #ifdef USE_POP
-  { "fetch-mail",		OP_MAIN_FETCH_MAIL,		"G" },
+  { "fetch-mail",		OP_MAIN_FETCH_MAIL,		NULL },
 #endif
-  { "display-headers",		OP_DISPLAY_HEADERS,		"h" },
-  { "next-undeleted",		OP_MAIN_NEXT_UNDELETED,		"j" },
-  { "previous-undeleted",	OP_MAIN_PREV_UNDELETED,		"k" },
-  { "limit",			OP_MAIN_LIMIT,			"l" },
-  { "list-reply",		OP_LIST_REPLY,			"L" },
-  { "mail",			OP_MAIL,			"m" },
-  { "toggle-new",		OP_TOGGLE_NEW,			"N" },
-  { "toggle-write",		OP_TOGGLE_WRITE,		"%" },
-  { "next-thread",		OP_MAIN_NEXT_THREAD,		"\016" },
-  { "next-subthread",		OP_MAIN_NEXT_SUBTHREAD,		"\033n" },
-  { "query",			OP_QUERY,			"Q" },
-  { "quit",			OP_QUIT,			"q" },
-  { "reply",			OP_REPLY,			"r" },
-  { "show-limit",		OP_MAIN_SHOW_LIMIT,		"\033l" },
-  { "sort-mailbox",		OP_SORT,			"o" },
-  { "sort-reverse",		OP_SORT_REVERSE,		"O" },
-  { "print-message",		OP_PRINT,			"p" },
-  { "previous-thread",		OP_MAIN_PREV_THREAD,		"\020" },
-  { "previous-subthread",	OP_MAIN_PREV_SUBTHREAD,		"\033p" },
-  { "recall-message",		OP_RECALL_MESSAGE,		"R" },
-  { "read-thread",		OP_MAIN_READ_THREAD,		"\022" },
-  { "read-subthread",		OP_MAIN_READ_SUBTHREAD,		"\033r" },
-  { "save-message",		OP_SAVE,			"s" },
-  { "tag-pattern",		OP_MAIN_TAG_PATTERN,		"T" },
+  { "display-headers",		OP_DISPLAY_HEADERS,		NULL },
+  { "next-undeleted",		OP_MAIN_NEXT_UNDELETED,		NULL },
+  { "previous-undeleted",	OP_MAIN_PREV_UNDELETED,		NULL },
+  { "limit",			OP_MAIN_LIMIT,			NULL },
+  { "list-reply",		OP_LIST_REPLY,			NULL },
+  { "mail",			OP_MAIL,			NULL },
+  { "toggle-new",		OP_TOGGLE_NEW,			NULL },
+  { "toggle-write",		OP_TOGGLE_WRITE,		NULL },
+  { "next-thread",		OP_MAIN_NEXT_THREAD,		NULL },
+  { "next-subthread",		OP_MAIN_NEXT_SUBTHREAD,		NULL },
+  { "query",			OP_QUERY,			NULL },
+  { "quit",			OP_QUIT,			NULL },
+  { "reply",			OP_REPLY,			NULL },
+  { "show-limit",		OP_MAIN_SHOW_LIMIT,		NULL },
+  { "sort-mailbox",		OP_SORT,			NULL },
+  { "sort-reverse",		OP_SORT_REVERSE,		NULL },
+  { "print-message",		OP_PRINT,			NULL },
+  { "previous-thread",		OP_MAIN_PREV_THREAD,		NULL },
+  { "previous-subthread",	OP_MAIN_PREV_SUBTHREAD,		NULL },
+  { "recall-message",		OP_RECALL_MESSAGE,		NULL },
+  { "read-thread",		OP_MAIN_READ_THREAD,		NULL },
+  { "read-subthread",		OP_MAIN_READ_SUBTHREAD,		NULL },
+  { "save-message",		OP_SAVE,			NULL },
+  { "tag-pattern",		OP_MAIN_TAG_PATTERN,		NULL },
   { "tag-subthread",		OP_TAG_SUBTHREAD,		NULL },
-  { "tag-thread",		OP_TAG_THREAD,			"\033t" },
-  { "untag-pattern",		OP_MAIN_UNTAG_PATTERN,		"\024" },
-  { "undelete-message",		OP_UNDELETE,			"u" },
-  { "undelete-pattern",		OP_MAIN_UNDELETE_PATTERN,	"U"},
-  { "undelete-subthread",	OP_UNDELETE_SUBTHREAD,		"\033u" },
-  { "undelete-thread",		OP_UNDELETE_THREAD,		"\025" },
-  { "view-attachments",		OP_VIEW_ATTACHMENTS,		"v" },
-  { "show-version",		OP_VERSION,			"V" },
-  { "set-flag",			OP_MAIN_SET_FLAG,		"w" },
-  { "clear-flag",		OP_MAIN_CLEAR_FLAG,		"W" },
-  { "display-message",		OP_DISPLAY_MESSAGE,		M_ENTER_S },
-  { "sync-mailbox",		OP_MAIN_SYNC_FOLDER,		"$" },
-  { "display-address",		OP_DISPLAY_ADDRESS,		"@" },
-  { "pipe-message",		OP_PIPE,			"|" },
-  { "next-new",			OP_MAIN_NEXT_NEW,		"\t" },
-  { "previous-new",		OP_MAIN_PREV_NEW,		"\033\t" },
+  { "tag-thread",		OP_TAG_THREAD,			NULL },
+  { "untag-pattern",		OP_MAIN_UNTAG_PATTERN,		NULL },
+  { "undelete-message",		OP_UNDELETE,			NULL },
+  { "undelete-pattern",		OP_MAIN_UNDELETE_PATTERN,	NULL },
+  { "undelete-subthread",	OP_UNDELETE_SUBTHREAD,		NULL },
+  { "undelete-thread",		OP_UNDELETE_THREAD,		NULL },
+  { "view-attachments",		OP_VIEW_ATTACHMENTS,		NULL },
+  { "show-version",		OP_VERSION,			NULL },
+  { "set-flag",			OP_MAIN_SET_FLAG,		NULL },
+  { "clear-flag",		OP_MAIN_CLEAR_FLAG,		NULL },
+  { "display-message",		OP_DISPLAY_MESSAGE,		NULL },
+  { "sync-mailbox",		OP_MAIN_SYNC_FOLDER,		NULL },
+  { "display-address",		OP_DISPLAY_ADDRESS,		NULL },
+  { "pipe-message",		OP_PIPE,			NULL },
+  { "next-new",			OP_MAIN_NEXT_NEW,		NULL },
+  { "previous-new",		OP_MAIN_PREV_NEW,		NULL },
   { "next-unread",		OP_MAIN_NEXT_UNREAD,		NULL },
   { "previous-unread",		OP_MAIN_PREV_UNREAD,		NULL },
 
 
 
 #ifdef _PGPPATH
-  { "extract-keys",		OP_EXTRACT_KEYS,		"\013" },
-  { "forget-passphrase",	OP_FORGET_PASSPHRASE,		"\006" },
-  { "mail-key",			OP_MAIL_KEY,			"\033k" },
+  { "extract-keys",		OP_EXTRACT_KEYS,		NULL },
+  { "forget-passphrase",	OP_FORGET_PASSPHRASE,		NULL },
+  { "mail-key",			OP_MAIL_KEY,			NULL },
   { "decrypt-copy",		OP_DECRYPT_COPY,		NULL },
   { "decrypt-save",		OP_DECRYPT_SAVE,		NULL },
 #endif
 
 
 
   { NULL,			0,				NULL }
 };
 
 struct binding_t OpPager[] = {
-  { "create-alias",	OP_CREATE_ALIAS,		"a" },
-  { "bounce-message",	OP_BOUNCE_MESSAGE,		"b" },
-  { "change-folder",	OP_MAIN_CHANGE_FOLDER,		"c" },
-  { "change-folder-readonly",	OP_MAIN_CHANGE_FOLDER_READONLY,	"\033c" },
-  { "copy-message",	OP_COPY_MESSAGE,		"C" },
-  { "decode-copy",	OP_DECODE_COPY,			"\033C" },
-  { "delete-message",	OP_DELETE,			"d" },
-  { "delete-thread",	OP_DELETE_THREAD,		"\004" },
-  { "delete-subthread",	OP_DELETE_SUBTHREAD,		"\033d" },
-  { "edit",		OP_EDIT_MESSAGE,		"e" },
-  { "forward-message",	OP_FORWARD_MESSAGE,		"f" },
-  { "flag-message",	OP_FLAG_MESSAGE,		"F" },
-  { "group-reply",	OP_GROUP_REPLY,			"g" },
-  { "display-headers",	OP_DISPLAY_HEADERS,		"h" },
-  { "exit",		OP_PAGER_EXIT,			"i" },
-  { "next-undeleted",	OP_MAIN_NEXT_UNDELETED,		"j" },
-  { "next-entry",	OP_NEXT_ENTRY,			"J" },
-  { "previous-undeleted",OP_MAIN_PREV_UNDELETED,	"k" },
-  { "previous-entry",	OP_PREV_ENTRY,			"K" },
-  { "list-reply",	OP_LIST_REPLY,			"L" },
-  { "redraw-screen",	OP_REDRAW,			"\014" },
-  { "mail",		OP_MAIL,			"m" },
-  { "mark-as-new",	OP_TOGGLE_NEW,			"N" },
-  { "search-next",	OP_SEARCH_NEXT,			"n" },
-  { "next-thread",	OP_MAIN_NEXT_THREAD,		"\016" },
-  { "next-subthread",	OP_MAIN_NEXT_SUBTHREAD,		"\033n" },
-  { "print-message",	OP_PRINT,			"p" },
-  { "previous-thread",	OP_MAIN_PREV_THREAD,		"\020" },
-  { "previous-subthread",OP_MAIN_PREV_SUBTHREAD,	"\033p" },
-  { "quit",		OP_QUIT,			"Q" },
-  { "reply",		OP_REPLY,			"r" },
-  { "recall-message",	OP_RECALL_MESSAGE,		"R" },
-  { "read-thread",	OP_MAIN_READ_THREAD,		"\022" },
-  { "read-subthread",	OP_MAIN_READ_SUBTHREAD,		"\033r" },
-  { "save-message",	OP_SAVE,			"s" },
-  { "skip-quoted",	OP_PAGER_SKIP_QUOTED,		"S" },
-  { "decode-save",	OP_DECODE_SAVE,			"\033s" },
-  { "tag-message",	OP_TAG,				"t" },
-  { "toggle-quoted",	OP_PAGER_HIDE_QUOTED,		"T" },
-  { "undelete-message",	OP_UNDELETE,			"u" },
-  { "undelete-subthread",OP_UNDELETE_SUBTHREAD,		"\033u" },
-  { "undelete-thread",	OP_UNDELETE_THREAD,		"\025" },
-  { "view-attachments",	OP_VIEW_ATTACHMENTS,		"v" },
-  { "show-version",	OP_VERSION,			"V" },
-  { "search-toggle",	OP_SEARCH_TOGGLE,		"\\" },
-  { "display-address",	OP_DISPLAY_ADDRESS,		"@" },
-  { "next-new",		OP_MAIN_NEXT_NEW,		"\t" },
-  { "pipe-message",	OP_PIPE,			"|" },
-  { "help",		OP_HELP,			"?" },
-  { "next-page",	OP_NEXT_PAGE,			" " },
-  { "previous-page",	OP_PREV_PAGE,			"-" },
-  { "top",		OP_PAGER_TOP,			"^" },
-  { "bottom",		OP_PAGER_BOTTOM,		"$" },
-  { "shell-escape",	OP_SHELL_ESCAPE,		"!" },
-  { "enter-command",	OP_ENTER_COMMAND,		":" },
-  { "search",		OP_SEARCH,			"/" },
-  { "search-reverse",	OP_SEARCH_REVERSE,		"\033/" },
+  { "create-alias",	OP_CREATE_ALIAS,		NULL },
+  { "bounce-message",	OP_BOUNCE_MESSAGE,		NULL },
+  { "change-folder",	OP_MAIN_CHANGE_FOLDER,		NULL },
+  { "change-folder-readonly",	OP_MAIN_CHANGE_FOLDER_READONLY,	NULL },
+  { "copy-message",	OP_COPY_MESSAGE,		NULL },
+  { "decode-copy",	OP_DECODE_COPY,			NULL },
+  { "delete-message",	OP_DELETE,			NULL },
+  { "delete-thread",	OP_DELETE_THREAD,		NULL },
+  { "delete-subthread",	OP_DELETE_SUBTHREAD,		NULL },
+  { "edit",		OP_EDIT_MESSAGE,		NULL },
+  { "forward-message",	OP_FORWARD_MESSAGE,		NULL },
+  { "flag-message",	OP_FLAG_MESSAGE,		NULL },
+  { "group-reply",	OP_GROUP_REPLY,			NULL },
+  { "display-headers",	OP_DISPLAY_HEADERS,		NULL },
+  { "exit",		OP_PAGER_EXIT,			NULL },
+  { "next-undeleted",	OP_MAIN_NEXT_UNDELETED,		NULL },
+  { "next-entry",	OP_NEXT_ENTRY,			NULL },
+  { "previous-undeleted",OP_MAIN_PREV_UNDELETED,	NULL },
+  { "previous-entry",	OP_PREV_ENTRY,			NULL },
+  { "list-reply",	OP_LIST_REPLY,			NULL },
+  { "redraw-screen",	OP_REDRAW,			NULL },
+  { "mail",		OP_MAIL,			NULL },
+  { "mark-as-new",	OP_TOGGLE_NEW,			NULL },
+  { "search-next",	OP_SEARCH_NEXT,			NULL },
+  { "next-thread",	OP_MAIN_NEXT_THREAD,		NULL },
+  { "next-subthread",	OP_MAIN_NEXT_SUBTHREAD,		NULL },
+  { "print-message",	OP_PRINT,			NULL },
+  { "previous-thread",	OP_MAIN_PREV_THREAD,		NULL },
+  { "previous-subthread",OP_MAIN_PREV_SUBTHREAD,	NULL },
+  { "quit",		OP_QUIT,			NULL },
+  { "reply",		OP_REPLY,			NULL },
+  { "recall-message",	OP_RECALL_MESSAGE,		NULL },
+  { "read-thread",	OP_MAIN_READ_THREAD,		NULL },
+  { "read-subthread",	OP_MAIN_READ_SUBTHREAD,		NULL },
+  { "save-message",	OP_SAVE,			NULL },
+  { "skip-quoted",	OP_PAGER_SKIP_QUOTED,		NULL },
+  { "decode-save",	OP_DECODE_SAVE,			NULL },
+  { "tag-message",	OP_TAG,				NULL },
+  { "toggle-quoted",	OP_PAGER_HIDE_QUOTED,		NULL },
+  { "undelete-message",	OP_UNDELETE,			NULL },
+  { "undelete-subthread",OP_UNDELETE_SUBTHREAD,		NULL },
+  { "undelete-thread",	OP_UNDELETE_THREAD,		NULL },
+  { "view-attachments",	OP_VIEW_ATTACHMENTS,		NULL },
+  { "show-version",	OP_VERSION,			NULL },
+  { "search-toggle",	OP_SEARCH_TOGGLE,		NULL },
+  { "display-address",	OP_DISPLAY_ADDRESS,		NULL },
+  { "next-new",		OP_MAIN_NEXT_NEW,		NULL },
+  { "pipe-message",	OP_PIPE,			NULL },
+  { "help",		OP_HELP,			NULL },
+  { "next-page",	OP_NEXT_PAGE,			NULL },
+  { "previous-page",	OP_PREV_PAGE,			NULL },
+  { "top",		OP_PAGER_TOP,			NULL },
+  { "bottom",		OP_PAGER_BOTTOM,		NULL },
+  { "shell-escape",	OP_SHELL_ESCAPE,		NULL },
+  { "enter-command",	OP_ENTER_COMMAND,		NULL },
+  { "search",		OP_SEARCH,			NULL },
+  { "search-reverse",	OP_SEARCH_REVERSE,		NULL },
   { "search-opposite",	OP_SEARCH_OPPOSITE,		NULL },
-  { "next-line",	OP_NEXT_LINE,			M_ENTER_S },
+  { "next-line",	OP_NEXT_LINE,			NULL },
   { "jump",		OP_JUMP,			NULL },
   { "next-unread",	OP_MAIN_NEXT_UNREAD,		NULL },
   { "previous-new",	OP_MAIN_PREV_NEW,		NULL },
   { "previous-unread",	OP_MAIN_PREV_UNREAD,		NULL },
   { "half-up",		OP_HALF_UP,			NULL },
@@ -214,13 +214,13 @@
 
 
 
 
 #ifdef _PGPPATH
-  { "extract-keys",	OP_EXTRACT_KEYS,		"\013" },
-  { "forget-passphrase",OP_FORGET_PASSPHRASE,		"\006" },
-  { "mail-key",		OP_MAIL_KEY,			"\033k" },
+  { "extract-keys",	OP_EXTRACT_KEYS,		NULL },
+  { "forget-passphrase",OP_FORGET_PASSPHRASE,		NULL },
+  { "mail-key",		OP_MAIL_KEY,			NULL },
   { "decrypt-copy",		OP_DECRYPT_COPY,		NULL },
   { "decrypt-save",		OP_DECRYPT_SAVE,		NULL },
 #endif
 
 
@@ -228,131 +228,134 @@
 
   { NULL,		0,				NULL }
 };
 
 struct binding_t OpAttach[] = {
-  { "bounce-message",	OP_BOUNCE_MESSAGE,		"b" },
-  { "display-headers",	OP_DISPLAY_HEADERS,		"h" },
-  { "print-entry",	OP_PRINT,			"p" },
-  { "save-entry",	OP_SAVE,			"s" },
-  { "pipe-entry",	OP_PIPE,			"|" },
-  { "view-mailcap",	OP_ATTACH_VIEW_MAILCAP,		"m" },
-  { "reply",		OP_REPLY,			"r" },
-  { "group-reply",	OP_GROUP_REPLY,			"g" },
-  { "list-reply",	OP_LIST_REPLY,			"L" },
-  { "forward-message",	OP_FORWARD_MESSAGE,		"f" },
-  { "view-text",	OP_ATTACH_VIEW_TEXT,		"T" },
-  { "view-attach",	OP_VIEW_ATTACH,			M_ENTER_S },
-  { "delete-entry",	OP_DELETE,			"d" },
-  { "undelete-entry",	OP_UNDELETE,			"u" },
+  { "bounce-message",	OP_BOUNCE_MESSAGE,		NULL },
+  { "display-headers",	OP_DISPLAY_HEADERS,		NULL },
+  { "print-entry",	OP_PRINT,			NULL },
+  { "save-entry",	OP_SAVE,			NULL },
+  { "pipe-entry",	OP_PIPE,			NULL },
+  { "view-mailcap",	OP_ATTACH_VIEW_MAILCAP,		NULL },
+  { "reply",		OP_REPLY,			NULL },
+  { "group-reply",	OP_GROUP_REPLY,			NULL },
+  { "list-reply",	OP_LIST_REPLY,			NULL },
+  { "forward-message",	OP_FORWARD_MESSAGE,		NULL },
+  { "view-text",	OP_ATTACH_VIEW_TEXT,		NULL },
+  { "view-attach",	OP_VIEW_ATTACH,			NULL },
+  { "delete-entry",	OP_DELETE,			NULL },
+  { "undelete-entry",	OP_UNDELETE,			NULL },
 
 
 
 #ifdef _PGPPATH
-  { "extract-keys",	OP_EXTRACT_KEYS,		"\013" },
+  { "extract-keys",	OP_EXTRACT_KEYS,		NULL },
 #endif
 
 
 
   { NULL,		0,				NULL }
 };
 
 struct binding_t OpCompose[] = {
-  { "attach-file",	OP_COMPOSE_ATTACH_FILE,		"a" },
-  { "attach-message",	OP_COMPOSE_ATTACH_MESSAGE,	"A" },
-  { "edit-bcc",		OP_COMPOSE_EDIT_BCC,		"b" },
-  { "edit-cc",		OP_COMPOSE_EDIT_CC,		"c" },
-  { "copy-file",	OP_SAVE,			"C" },
-  { "detach-file",	OP_DELETE,			"D" },
-  { "display-headers",	OP_DISPLAY_HEADERS,		"h" },
-  { "edit-description",	OP_COMPOSE_EDIT_DESCRIPTION,	"d" },
-  { "edit-message",	OP_COMPOSE_EDIT_MESSAGE,	"e" },
-  { "edit-headers",	OP_COMPOSE_EDIT_HEADERS,	"E" },
-  { "edit-file",	OP_COMPOSE_EDIT_FILE,		"\030e" },
-  { "edit-encoding",	OP_COMPOSE_EDIT_ENCODING,	"\005" },
-  { "edit-from",	OP_COMPOSE_EDIT_FROM,		"\033f" },
-  { "edit-fcc",		OP_COMPOSE_EDIT_FCC,		"f" },
-  { "filter-entry",	OP_FILTER,			"F" },
-  { "get-attachment",	OP_COMPOSE_GET_ATTACHMENT,	"G" },
-  { "ispell",		OP_COMPOSE_ISPELL,		"i" },
-  { "print-entry",	OP_PRINT,			"l" },
-  { "edit-mime",	OP_COMPOSE_EDIT_MIME,		"m" },
-  { "new-mime",		OP_COMPOSE_NEW_MIME,		"n" },
-  { "postpone-message",	OP_COMPOSE_POSTPONE_MESSAGE,	"P" },
-  { "edit-reply-to",	OP_COMPOSE_EDIT_REPLY_TO,	"r" },
-  { "rename-file",	OP_COMPOSE_RENAME_FILE,		"R" },
-  { "edit-subject",	OP_COMPOSE_EDIT_SUBJECT,	"s" },
-  { "edit-to",		OP_COMPOSE_EDIT_TO,		"t" },
-  { "edit-type",	OP_COMPOSE_EDIT_TYPE,		"\024" },
-  { "write-fcc",	OP_COMPOSE_WRITE_MESSAGE,	"w" },
-  { "toggle-unlink",	OP_COMPOSE_TOGGLE_UNLINK,	"u" },
-  { "update-encoding",	OP_COMPOSE_UPDATE_ENCODING,	"U" },
-  { "view-attach",	OP_VIEW_ATTACH,			M_ENTER_S },
-  { "send-message",	OP_COMPOSE_SEND_MESSAGE,	"y" },
-  { "pipe-entry",	OP_PIPE,			"|" },
+  { "attach-file",	OP_COMPOSE_ATTACH_FILE,		NULL },
+  { "attach-message",	OP_COMPOSE_ATTACH_MESSAGE,	NULL },
+  { "edit-bcc",		OP_COMPOSE_EDIT_BCC,		NULL },
+  { "edit-cc",		OP_COMPOSE_EDIT_CC,		NULL },
+  { "copy-file",	OP_SAVE,			NULL },
+  { "detach-file",	OP_DELETE,			NULL },
+  { "display-headers",	OP_DISPLAY_HEADERS,		NULL },
+  { "edit-description",	OP_COMPOSE_EDIT_DESCRIPTION,	NULL },
+  { "edit-message",	OP_COMPOSE_EDIT_MESSAGE,	NULL },
+  { "edit-headers",	OP_COMPOSE_EDIT_HEADERS,	NULL },
+  { "edit-file",	OP_COMPOSE_EDIT_FILE,		NULL },
+  { "edit-encoding",	OP_COMPOSE_EDIT_ENCODING,	NULL },
+  { "edit-from",	OP_COMPOSE_EDIT_FROM,		NULL },
+  { "edit-fcc",		OP_COMPOSE_EDIT_FCC,		NULL },
+  { "filter-entry",	OP_FILTER,			NULL },
+  { "get-attachment",	OP_COMPOSE_GET_ATTACHMENT,	NULL },
+  { "ispell",		OP_COMPOSE_ISPELL,		NULL },
+  { "print-entry",	OP_PRINT,			NULL },
+  { "edit-mime",	OP_COMPOSE_EDIT_MIME,		NULL },
+  { "new-mime",		OP_COMPOSE_NEW_MIME,		NULL },
+  { "postpone-message",	OP_COMPOSE_POSTPONE_MESSAGE,	NULL },
+  { "edit-reply-to",	OP_COMPOSE_EDIT_REPLY_TO,	NULL },
+  { "rename-file",	OP_COMPOSE_RENAME_FILE,		NULL },
+  { "edit-subject",	OP_COMPOSE_EDIT_SUBJECT,	NULL },
+  { "edit-to",		OP_COMPOSE_EDIT_TO,		NULL },
+  { "edit-type",	OP_COMPOSE_EDIT_TYPE,		NULL },
+  { "write-fcc",	OP_COMPOSE_WRITE_MESSAGE,	NULL },
+  { "toggle-unlink",	OP_COMPOSE_TOGGLE_UNLINK,	NULL },
+  { "update-encoding",	OP_COMPOSE_UPDATE_ENCODING,	NULL },
+  { "view-attach",	OP_VIEW_ATTACH,			NULL },
+  { "send-message",	OP_COMPOSE_SEND_MESSAGE,	NULL },
+  { "pipe-entry",	OP_PIPE,			NULL },
 
 #ifdef _PGPPATH
-  { "attach-key",	OP_COMPOSE_ATTACH_KEY,		"\033k" },
-  { "forget-passphrase",OP_FORGET_PASSPHRASE,		"\006"  },
-  { "pgp-menu",		OP_COMPOSE_PGP_MENU,		"p" 	},
+  { "attach-key",	OP_COMPOSE_ATTACH_KEY,		NULL },
+  { "forget-passphrase",OP_FORGET_PASSPHRASE,		NULL  },
+  { "pgp-menu",		OP_COMPOSE_PGP_MENU,		NULL 	},
+  { "toggle-sign",	OP_COMPOSE_TOGGLE_SIGN,		NULL 	},
+  { "toggle-encrypt",	OP_COMPOSE_TOGGLE_ENCRYPT,	NULL 	},
 #endif
 
   { NULL,		0,				NULL }
 };
 
 struct binding_t OpPost[] = {
-  { "delete-entry",	OP_DELETE,	"d" },
-  { "undelete-entry",	OP_UNDELETE,	"u" },
+  { "delete-entry",	OP_DELETE,	NULL },
+  { "undelete-entry",	OP_UNDELETE,	NULL },
   { NULL,		0,		NULL }
 };
 
 /* The file browser */
 struct binding_t OpBrowser[] = {
-  { "change-dir",	OP_CHANGE_DIRECTORY,	"c" },
-  { "display-filename",	OP_BROWSER_TELL,	"@" },
-  { "enter-mask",	OP_ENTER_MASK,		"m" },
-  { "sort",		OP_SORT,		"o" },
-  { "sort-reverse",	OP_SORT_REVERSE,	"O" },
-  { "select-new",	OP_BROWSER_NEW_FILE,	"N" },
+  { "change-dir",	OP_CHANGE_DIRECTORY,	NULL },
+  { "display-filename",	OP_BROWSER_TELL,	NULL },
+  { "enter-mask",	OP_ENTER_MASK,		NULL },
+  { "sort",		OP_SORT,		NULL },
+  { "sort-reverse",	OP_SORT_REVERSE,	NULL },
+  { "select-new",	OP_BROWSER_NEW_FILE,	NULL },
   { "check-new",	OP_CHECK_NEW,		NULL },
-  { "toggle-mailboxes", OP_TOGGLE_MAILBOXES, 	"\t" },
-  { "view-file",	OP_BROWSER_VIEW_FILE,	" " },
+  { "toggle-mailboxes", OP_TOGGLE_MAILBOXES, 	NULL },
+  { "view-file",	OP_BROWSER_VIEW_FILE,	NULL },
   { NULL,		0,			NULL }
 };
 
 /* External Query Menu */
 struct binding_t OpQuery[] = {
-  { "create-alias",	OP_CREATE_ALIAS,	"a" },
-  { "mail",		OP_MAIL,		"m" },
-  { "query",		OP_QUERY,		"Q" },
-  { "query-append",	OP_QUERY_APPEND,	"A" },
+  { "create-alias",	OP_CREATE_ALIAS,	NULL },
+  { "mail",		OP_MAIL,		NULL },
+  { "query",		OP_QUERY,		NULL },
+  { "query-append",	OP_QUERY_APPEND,	NULL },
   { NULL,		0,			NULL }
 };
 
 struct binding_t OpEditor[] = {
-  { "bol",		OP_EDITOR_BOL,			"\001" },
-  { "backward-char",	OP_EDITOR_BACKWARD_CHAR,	"\002" },
-  { "delete-char",	OP_EDITOR_DELETE_CHAR,		"\004" },
-  { "eol",		OP_EDITOR_EOL,			"\005" },
-  { "forward-char",	OP_EDITOR_FORWARD_CHAR,		"\006" },
-  { "backspace",	OP_EDITOR_BACKSPACE,		"\010" },
-  { "kill-eol",		OP_EDITOR_KILL_EOL,		"\013" },
-  { "kill-line",	OP_EDITOR_KILL_LINE,		"\025" },
-  { "quote-char",	OP_EDITOR_QUOTE_CHAR,		"\026" },
-  { "kill-word",	OP_EDITOR_KILL_WORD,		"\027" },
-  { "complete",		OP_EDITOR_COMPLETE,		"\t" },
-  { "complete-query",	OP_EDITOR_COMPLETE_QUERY,	"\024" },
-  { "buffy-cycle",	OP_EDITOR_BUFFY_CYCLE,		" " },
+  { "bol",		OP_EDITOR_BOL,			NULL },
+  { "backward-char",	OP_EDITOR_BACKWARD_CHAR,	NULL },
+  { "delete-char",	OP_EDITOR_DELETE_CHAR,		NULL },
+  { "eol",		OP_EDITOR_EOL,			NULL },
+  { "forward-char",	OP_EDITOR_FORWARD_CHAR,		NULL },
+  { "backspace",	OP_EDITOR_BACKSPACE,		NULL },
+  { "kill-bol",		OP_EDITOR_KILL_BOL,		NULL },
+  { "kill-eol",		OP_EDITOR_KILL_EOL,		NULL },
+  { "kill-line",	OP_EDITOR_KILL_LINE,		NULL },
+  { "quote-char",	OP_EDITOR_QUOTE_CHAR,		NULL },
+  { "kill-word",	OP_EDITOR_KILL_WORD,		NULL },
+  { "complete",		OP_EDITOR_COMPLETE,		NULL },
+  { "complete-query",	OP_EDITOR_COMPLETE_QUERY,	NULL },
+  { "buffy-cycle",	OP_EDITOR_BUFFY_CYCLE,		NULL },
   { "history-up",	OP_EDITOR_HISTORY_UP,		NULL },
   { "history-down",	OP_EDITOR_HISTORY_DOWN,		NULL },
   { NULL,		0,				NULL }
 };
 
 
 
 #ifdef _PGPPATH
 struct binding_t OpPgp[] = {
-  { "verify-key",	OP_VERIFY_KEY,		"c" },
-  { "view-name",	OP_VIEW_ID,		"%" },
+  { "verify-key",	OP_VERIFY_KEY,		NULL },
+  { "view-name",	OP_VIEW_ID,		NULL },
   { NULL,		0,				NULL }
 };
 #endif /* _PGPPATH */
--- orig-hdrline.c	Fri Sep 22 17:14:27 2000
+++ hdrline.c	Fri Sep 22 19:29:27 2000
@@ -349,11 +349,12 @@
 		len -= 2;
 	      }
 	      else
 		break; /* not enough space */
 	    }
-	    cp++;
+	    if(*cp)
+	      cp++;
 	  }
 	  else
 	  {
 	    *p++ = *cp++;
 	    len--;
@@ -389,11 +390,11 @@
 	if (do_locales)
 	  setlocale (LC_TIME, "C");
 
 	snprintf (fmt, sizeof (fmt), "%%%ss", prefix);
 	snprintf (dest, destlen, fmt, buf2);
-	if (len > 0 && op != 'd')
+	if (len > 0 && op != 'd' && op != 'D')
 	  src = cp + 1;
       }
       break;
 
     case 'f':
--- orig-init.c	Thu Jan  6 03:55:07 2000
+++ init.c	Sat Sep  9 03:41:40 2000
@@ -1758,32 +1758,10 @@
     Muttrc = safe_strdup (buffer);
   }
   FREE (&AliasFile);
   AliasFile = safe_strdup (NONULL(Muttrc));
 
-  /* Process the global rc file if it exists and the user hasn't explicity
-     requested not to via "-n".  */
-  if (!skip_sys_rc)
-  {
-    snprintf (buffer, sizeof(buffer), "%s/Muttrc-%s", SYSCONFDIR, MUTT_VERSION);
-    if (access (buffer, F_OK) == -1)
-      snprintf (buffer, sizeof(buffer), "%s/Muttrc", SYSCONFDIR);
-    if (access (buffer, F_OK) == -1)
-      snprintf (buffer, sizeof (buffer), "%s/Muttrc-%s", SHAREDIR, MUTT_VERSION);
-    if (access (buffer, F_OK) == -1)
-      snprintf (buffer, sizeof (buffer), "%s/Muttrc", SHAREDIR);
-    if (access (buffer, F_OK) != -1)
-    {
-      if (source_rc (buffer, &err) != 0)
-      {
-	fputs (err.data, stderr);
-	fputc ('\n', stderr);
-	need_pause = 1;
-      }
-    }
-  }
-
   /* Read the user's initialization file.  */
   if (access (Muttrc, F_OK) != -1)
   {
     if (!option (OPTNOCURSES))
       endwin ();
@@ -1798,10 +1776,32 @@
   {
     /* file specified by -F does not exist */
     snprintf (buffer, sizeof (buffer), "%s: %s", Muttrc, strerror (errno));
     mutt_endwin (buffer);
     exit (1);
+  }
+
+  /* Process the global rc file if it exists and the user hasn't explicity
+     requested not to via "-n" or "set skip_sys_rc".  */
+  if (!skip_sys_rc && !option(OPTSKIPSYSRC))
+  {
+    snprintf (buffer, sizeof(buffer), "%s/Muttrc-%s", SYSCONFDIR, MUTT_VERSION);
+    if (access (buffer, F_OK) == -1)
+      snprintf (buffer, sizeof(buffer), "%s/Muttrc", SYSCONFDIR);
+    if (access (buffer, F_OK) == -1)
+      snprintf (buffer, sizeof (buffer), "%s/Muttrc-%s", SHAREDIR, MUTT_VERSION);
+    if (access (buffer, F_OK) == -1)
+      snprintf (buffer, sizeof (buffer), "%s/Muttrc", SHAREDIR);
+    if (access (buffer, F_OK) != -1)
+    {
+      if (source_rc (buffer, &err) != 0)
+      {
+	fputs (err.data, stderr);
+	fputc ('\n', stderr);
+	need_pause = 1;
+      }
+    }
   }
 
   if (mutt_execute_commands (commands) != 0)
     need_pause = 1;
 
--- orig-init.h	Sat Sep  9 03:24:56 2000
+++ init.h	Sat Sep  9 03:30:39 2000
@@ -258,10 +258,11 @@
   { "sendmail_wait",	DT_NUM,  R_NONE, UL &SendmailWait, 0 },
   { "shell",		DT_PATH, R_NONE, UL &Shell, 0 },
   { "sig_dashes",	DT_BOOL, R_NONE, OPTSIGDASHES, 1 },
   { "signature",	DT_PATH, R_NONE, UL &Signature, UL "~/.signature" },
   { "simple_search",	DT_STR,	 R_NONE, UL &SimpleSearch, UL "~f %s | ~s %s" },
+  { "skip_sys_rc",	DT_BOOL, R_NONE, OPTSKIPSYSRC, 0 },
   { "smart_wrap",	DT_BOOL, R_PAGER, OPTWRAP, 1 },
   { "smileys",		DT_RX,	 R_PAGER, UL &Smileys, UL "(>From )|(:[-^]?[][)(><}{|/DP])" },
   { "sort",		DT_SORT, R_INDEX|R_RESORT, UL &Sort, SORT_DATE },
   { "sort_alias",	DT_SORT|DT_SORT_ALIAS,	R_NONE,	UL &SortAlias, SORT_ALIAS },
   { "sort_aux",		DT_SORT, R_INDEX|R_RESORT_BOTH, UL &SortAux, SORT_DATE },
--- orig-keymap.c	Sat Jan  8 01:39:42 2000
+++ keymap.c	Fri Apr 28 15:39:06 2000
@@ -556,10 +556,11 @@
   km_bindkey ("\177", MENU_EDITOR, OP_EDITOR_BACKSPACE);
   
   /* generic menu keymap */
   create_bindings (OpGeneric, MENU_GENERIC);
   
+#if 0
   km_bindkey ("<home>", MENU_GENERIC, OP_FIRST_ENTRY);
   km_bindkey ("<end>", MENU_GENERIC, OP_LAST_ENTRY);
   km_bindkey ("<pagedown>", MENU_GENERIC, OP_NEXT_PAGE);
   km_bindkey ("<pageup>", MENU_GENERIC, OP_PREV_PAGE);
   km_bindkey ("<right>", MENU_GENERIC, OP_NEXT_PAGE);
@@ -619,10 +620,11 @@
   km_bindkey ("<enter>", MENU_COMPOSE, OP_VIEW_ATTACH);
 
   /* edit-to (default "t") hides generic tag-entry in Compose menu
      This will bind tag-entry to  "T" in the Compose menu */
   km_bindkey ("T", MENU_COMPOSE, OP_TAG);
+#endif
 }
 
 void km_error_key (int menu)
 {
   char buf[SHORT_STRING];
--- orig-mutt.h	Sat Sep  9 03:30:02 2000
+++ mutt.h	Sat Sep  9 03:28:17 2000
@@ -331,10 +331,11 @@
   OPTREVNAME,
   OPTSAVEADDRESS,
   OPTSAVEEMPTY,
   OPTSAVENAME,
   OPTSIGDASHES,
+  OPTSKIPSYSRC,
   OPTSORTRE,
   OPTSTATUSONTOP,
   OPTSTRICTTHREADS,
   OPTSUSPEND,
   OPTTHOROUGHSRC,
--- orig-pager.c	Sat Sep  2 20:03:37 2000
+++ pager.c	Sat Sep  2 20:14:00 2000
@@ -723,11 +723,13 @@
       }
     }
   }
   else if (mutt_strncmp ("[-- ", buf, 4) == 0)
     lineInfo[n].type = MT_COLOR_ATTACHMENT;
-  else if (mutt_strcmp ("-- \n", buf) == 0 || mutt_strcmp ("-- \r\n", buf) == 0)
+  else if (mutt_strcmp ("-- \n", buf) == 0 || mutt_strcmp ("-- \r\n", buf) == 0
+    || mutt_strncmp("----------------------------------------", buf, 40) == 0
+    || mutt_strncmp("________________________________________", buf, 40) == 0)
   {
     i = n + 1;
 
     lineInfo[n].type = MT_COLOR_SIGNATURE;
     while (i < last && check_sig (buf, lineInfo, i - 1) == 0 &&
--- orig-send.c	Sun Sep 17 22:41:00 2000
+++ send.c	Sun Sep 17 23:21:25 2000
@@ -975,11 +975,12 @@
 
     if (option (OPTHDRS))
       process_user_recips (msg->env);
 
     if (! (flags & SENDMAILX) &&
-	! (option (OPTAUTOEDIT) && option (OPTEDITHDRS)) &&
+	! (option (OPTAUTOEDIT)) &&
+	! (option (OPTEDITHDRS)) &&
 	! ((flags & SENDREPLY) && option (OPTFASTREPLY)))
     {
       if (edit_envelope (msg->env) == -1)
 	goto cleanup;
     }
